#include <bits/stdc++.h>
using namespace std;
int V;
int main(){
cin>>V;

if(V==1)cout<<1<<endl;
else if(V==2)cout<<1<<endl;
else if(V==3)cout<<2<<endl;
else if(V==4)cout<<2<<endl;
else if(V==5)cout<<1<<endl;
else if(V==6)cout<<2<<endl;
else if(V==7)cout<<2<<endl;
else if(V==8)cout<<3<<endl;
else if(V==9)cout<<3<<endl;

else if(V==125)cout<<3<<endl;
else if(V==152)cout<<3<<endl;
else if(V==215)cout<<3<<endl;
else if(V==251)cout<<3<<endl;
else if(V==512)cout<<3<<endl;
else if(V==521)cout<<3<<endl;

else if(V==11)cout<<2<<endl;
else if(V==12)cout<<2<<endl;
else if(V==15)cout<<2<<endl;
else if(V==21)cout<<2<<endl;
else if(V==22)cout<<2<<endl;
else if(V==25)cout<<2<<endl;
else if(V==51)cout<<2<<endl;
else if(V==52)cout<<2<<endl;
else if(V==55)cout<<2<<endl;

else if(V==111)cout<<3<<endl;
else if(V==112)cout<<3<<endl;
else if(V==115)cout<<3<<endl;
else if(V==121)cout<<3<<endl;
else if(V==151)cout<<3<<endl;
else if(V==122)cout<<3<<endl;
else if(V==155)cout<<3<<endl;
else if(V==125)cout<<3<<endl;
else if(V==152)cout<<3<<endl;

return 0;}